X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

roboform won't attach firefox 4

Posted

Roboform is installed and works with Firefox 3.6. It will not attach to Firefox 4 even though I have all the options set correctly.

Additional System Details

This happened

Every time Firefox opened

This started when...

I installed Firefox 4

Installed Plug-ins

  • IE Tab Plug-in for Mozilla/Firefox
  • LogMeIn, Inc. Remote Access Components
  • Google Talk Plugin Video Accelerator version:0.1.43.5
  • Version 1.9.2.0
  • Office Plugin for Netscape Navigator
  • np-mswmp
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • 6.0.12.448
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.2"
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Default Plug-in
  • Google Update
  • Shockwave Flash 10.2 r152
  • Adobe Shockwave for Director Netscape plug-in, version 11.5.9.615
  • Next Generation Java Plug-in 1.6.0_24 for Mozilla browsers
  • 4.0.60129.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Version 1.1.7, copyright 1996-2011 The VideoLAN Teamhttp://www.videolan.org/
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.15) Gecko/20110303 BTRS87970 Firefox/3.6.15

More Information

the-edmeister
  • Top 10 Contributor
  • Moderator
3194 solutions 24384 answers

See Roboform for an updated adapter.
http://www.roboform.com/platforms/browsers/firefox

Question owner

Thanks. I have the latest adapter installed. I even reinstalled it just to be sure. Doesn't attach Firefox 4, although if I set FF3.6 as default it does.

RacerGrl99 0 solutions 2 answers

How do you set Firefox 3.6 as the default? Thanx!

Question owner

The default installation of FF4 is in the same directory as FF3.6 which means it overwrites it. But by installing FF4 in a separate directory you can have both installed. Then set each one to check if it's the default browser.

Also discovered the problem with Roboform. Version 6 won't attach FF4, at least not in my system. Upgrading to Roboform 7 solved this one.

teddyr 0 solutions 6 answers

That would be great! As of now they don't have a functioning addon for Firefox 4

teddyr 0 solutions 6 answers

Helpful Reply

Roboform requires a separate license for each device. So when you add up your desktops, laptops, and portable keys, it can be quite expensive. In addition you need to purchase their Goodsync program to use their online universality.

All this would be worthwhile, albeit costly, if Version 7 were an enormous improvement. At best it's an incremental improvement that looks nicer.

MeO 0 solutions 5 answers

Helpful Reply

actually there is a workaround. all credits to swmyp from ru -board

  1. Numbered list item Install Roboform 7.2.7
  2. Numbered list item Copy folder "c:\Program Files\Siber Systems\AI RoboForm\Firefox\"
  3. Numbered list item Install Roboform 6.10.2 -dont untick option to install adapter for firefox
  4. Numbered list item Replace "c:\Program Files\Siber Systems\AI RoboForm\Firefox\" with your copy from 7.2.7 version

now u should have working 6.10.2 roboform with latest adapter from 7.2.7

If toolbar didnt appear right away after restart, remove Roboform toolbar extention from add-ons.

Modified by MeO

sukhoi 0 solutions 5 answers

This (4 steps) procedure no longer works with Firefox 4 official release.

phantoms 0 solutions 7 answers

Go to the Roboform Firefox page at http://www.roboform.com/platforms/browsers/firefox

Scroll down about half the page and you will see the file link roboform-firefox-3-4-frozen.xpi. Click it, allow Firefox 4 to install it and Roboform will automatically install the 7.2.3 adapter to let Roboform Ver. 6 work with Firefox 4.

They are not publicizing this as they would rather you spend your hard earned money and upgrade to Ver 7, but it works and is their official fix

wowzers 0 solutions 1 answers

The fix phantoms supplies does NOT work. At least not anymore. Tried it on the PC and it changed the "show toolbar" button into a link that opened to Roboform to buy version 7. I was dubious, particularly after seeing it worked only with version of 3 and 4.beta, rather than saying it worked with any final version of 4. But I gave it a shot and can say it no longer works.

However, I was still able to use the 4-step workaround on the laptop and it worked fine. Just not on the desktop PC, which was why I tried the one linked by phantoms.

Modified by wowzers